* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: linear-gradient(-20deg, #d4bdfa 0%, #90dbfd 100%);
    min-height: 100vh;
    margin: 0;
    font-family: Roboto, sans-serif;
}

.board {
    margin:30px auto;
    position: relative;
    overflow: hidden;
    width: 800px;
    height: 600px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 1fr);
    border-radius: 5px;
    gap: 10px;
    padding: 5px;
}

.card {
    background-color: #1a1a1a;
    cursor: pointer;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 5px;
    transition: 0.4s background-color;
}

.card:hover {
    background-color:#F7C11A;
}

.start {
    padding: 25px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 16px;
    font-weight: bold;
    transition: background-color 0.4s;
}

.start:hover {
    background-color: #F7C11A;
}

.level-container {
    position: absolute;
    top: 0;
    left: 0;
    background-image: linear-gradient(-20deg, #d4bdfa 0%, #90dbfd 100%);
    height: 100vh;
    width: 100%;
    z-index: 9;
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.level-container--active {
    display: flex;
}

.level-container > h2 {
    font-size: 44px;
}

.easy,
.hard {
    padding: 30px 25px;
    border: none;
    cursor: pointer;
    transition: background-color 0.4s;
    border-radius: 5px;
    margin-top: 60px;
    font-size: 18px;
}

.easy:hover,
.hard:hover {
    background-color: #F7C11A;
}

.easy {
    margin-right: 25px;
}

.winner,
.game-over {
    background-size: cover;
    width: 800px;
    height: 600px;
    z-index: 11;
}

.winner {
    background-image: url("images/winner.jpg");
}

.game-over {
    background-image: url("images/gameover.jpg");
}

.no-active {
    display: none;
}